import type { AnyExtension } from './Extension';
import type { Printable } from 'tree-dump/lib/types';
export declare class Extensions implements Printable {
    protected readonly ext: Record<number, AnyExtension>;
    register(extension: AnyExtension): void;
    get(id: number): AnyExtension | undefined;
    size(): number;
    clone(): Extensions;
    toString(tab?: string): string;
}
